<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>

    <style>
        .dialog {
            position: fixed;
            display: none;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: #0005;
            backdrop-filter: blur(2px);

            h1 {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                background: white;
                padding: 20px 15px;
                border-radius: 10px;
            }
        }

        .dialog--visible {
            display: block;
        }
    </style>
</head>
<body>

<input type="number" id="myInput">

<div id="dialog" class="dialog">
    <h1>Login</h1>
</div>

<main>
    <header>
        <nav>
            <ul>
                <li></li>
                <li></li>
                <li></li>
                <li></li>
            </ul>
        </nav>
    </header>
</main>

<a href="#">Link</a>
<ul class="styled-list">
    <li>
        <a href="#">Dingsbums</a>
    </li>
    <li>
        <a href="#">Dingsbums</a>
    </li>
    <li>
        <a href="#">Dingsbums</a>
    </li>
    <li>
        <a href="#">Dingsbums</a>
    </li>
</ul>
<h2>Hallo</h2>

<button id="buttonId">Increase counter</button>
<strong id="counterId">0</strong>

<script>
    const button = document.getElementById('buttonId')
    const counterElement = document.getElementById('counterId')
    const dialog = document.getElementById('dialog')
    const h2 = document.querySelector('h2')

    const list = document.querySelector('ul.styled-list')
    console.log(list)
    console.dir(list)

    console.log(button)
    console.dir(button)

    let counterNumber = 0;

    //button.addEventListener('click', onButtonClick)
    button.addEventListener('click', function () {
        counterNumber = counterNumber + 1
        console.log(counterNumber)

        counterElement.textContent = counterNumber

        const newListEntry = document.createElement('li')
        newListEntry.textContent = "Max Muster"
        list.appendChild(newListEntry)

        list.innerHTML += '<li><strong>Max Muster</strong></li>'

        dialog.classList.add('dialog--visible')

        h2.innerHTML = '<strong>Hi</strong>'
    })
    console.log(counterNumber)

    dialog.addEventListener('click', function () {
        dialog.classList.remove('dialog--visible')
    })

    /*function onButtonClick() {
        console.log('Hallo Welt')
    }*/
</script>

<script src="js/main.js"></script>
</body>
</html>